Categories:
  - Money
License: GPL-3.0-only
WebSite: https://greenaddress.it
SourceCode: https://github.com/blockstream/green_android
IssueTracker: https://github.com/blockstream/green_android/issues
Changelog: https://github.com/blockstream/green_android/releases

AutoName: Green
Summary: Blockstream Green Bitcoin wallet
Description: |-
    Blockstream Green is a Bitcoin Wallet for Android.

    Other Bitcoin wallets offer a choice between convenience, security, and control.

    With Blockstream Green, you get all three.

RepoType: git
Repo: https://github.com/blockstream/green_android

Builds:
  - versionName: '1.33'
    versionCode: 33
    commit: '1.33'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.36'
    versionCode: 36
    commit: '1.36'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.37'
    versionCode: 37
    commit: '1.37'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.38'
    versionCode: 38
    commit: '1.38'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.39'
    versionCode: 39
    commit: '1.39'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.41'
    versionCode: 41
    commit: '1.41'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.42'
    versionCode: 42
    commit: '1.42'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.43'
    versionCode: 43
    commit: '1.43'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.44'
    versionCode: 44
    commit: '1.44'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.45'
    versionCode: 45
    commit: '1.45'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.46'
    versionCode: 46
    commit: '1.46'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.47'
    versionCode: 47
    commit: '1.47'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.48'
    versionCode: 48
    commit: '1.48'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.51'
    versionCode: 51
    commit: '1.51'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.52'
    versionCode: 52
    commit: '1.52'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.53'
    versionCode: 53
    commit: '1.53'
    subdir: app
    submodules: true
    gradle:
      - production
    srclibs:
      - AutobahnSW-greenaddress@fb1223083dc6e9dfddc0daad3b76dae277765b51
    rm:
      - app/libs/*.jar
    prebuild:
      - pushd $$AutobahnSW-greenaddress$$
      - $$MVN3$$ package
      - popd
      - cp $$AutobahnSW-greenaddress$$/target/autobahn-android-sw-0.5.2-SNAPSHOT.jar
        libs/
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build: ./prepare_fdroid.sh

  - versionName: '1.54'
    versionCode: 54
    commit: '1.54'
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.56'
    versionCode: 56
    commit: '1.56'
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.57'
    versionCode: 57
    commit: r1.57
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.58'
    versionCode: 58
    commit: '1.58'
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.60'
    versionCode: 60
    commit: r1.60
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
    build: ./prepare_fdroid.sh

  - versionName: '1.61'
    versionCode: 61
    commit: r1.61
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.62'
    versionCode: 62
    commit: r1.62
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.63'
    versionCode: 63
    commit: r1.63
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.64'
    versionCode: 64
    commit: r1.64
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.66'
    versionCode: 66
    disable: uses bitcoinj-parent-0.14-SNAPSHOT
    commit: r1.66
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.67'
    versionCode: 67
    disable: uses btcj-0.14-SNAPSHOT
    commit: r1.67
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.68'
    versionCode: 68
    commit: r1.68
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.69'
    versionCode: 69
    commit: r1.69
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.70'
    versionCode: 70
    commit: r1.70
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/main/jniLibs
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.71'
    versionCode: 71
    disable: disabled
    commit: r1.71
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.72'
    versionCode: 72
    disable: requires ndk=r11c
    commit: r1.72
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.73'
    versionCode: 73
    disable: requires ndk=r11c
    commit: r1.73
    subdir: app
    submodules: true
    gradle:
      - production
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.74'
    versionCode: 74
    commit: r1.74
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.75'
    versionCode: 75
    commit: r1.75
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.77'
    versionCode: 77
    commit: r1.77
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh

  - versionName: '1.80'
    versionCode: 80
    disable: compilation error, requires ndk-r11c and 64bit
    commit: r1.80
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh
    ndk: r11c

  - versionName: '1.82'
    versionCode: 82
    disable: not yet build
    commit: r1.82
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh
    ndk: r11c

  - versionName: '1.83'
    versionCode: 83
    disable: not yet build
    commit: r1.83
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh
    ndk: r11c

  - versionName: '1.84'
    versionCode: 84
    disable: https://gitlab.com/fdroid/fdroidserver/issues/176
    commit: r1.84
    subdir: app
    submodules: true
    gradle:
      - production
    prebuild: sed -i -e 's/enable true/enable false/g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - bitcoinj/wallettemplate
      - app/src/production/assets/checkpoints
    scandelete:
      - app/scrypt
      - app/src/btctestnet/assets/checkpoints
    build: ./prepare_fdroid.sh
    ndk: r11c

  - versionName: '1.87'
    versionCode: 87
    commit: r1.87
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.89'
    versionCode: 89
    commit: r1.89
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.90'
    versionCode: 90
    commit: r1.90
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.91'
    versionCode: 91
    commit: r1.91
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.92'
    versionCode: 92
    commit: r1.92
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.93'
    versionCode: 93
    commit: r1.93
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r12b

  - versionName: '1.94'
    versionCode: 94
    disable: remove apk, tag does not use release branch
    commit: r1.94
    subdir: app
    init: git checkout release_1.94
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r13b

  - versionName: '1.95'
    versionCode: 95
    commit: r1.95
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r13b

  - versionName: '1.96'
    versionCode: 96
    commit: r1.96
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r13b

  - versionName: '1.97'
    versionCode: 97
    commit: r1.97
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '1.98'
    versionCode: 98
    commit: r1.98
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '1.99'
    versionCode: 99
    commit: r1.99
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.00'
    versionCode: 200
    commit: r2.00
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.02'
    versionCode: 202
    commit: r2.02
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.03'
    versionCode: 203
    commit: r2.03
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r14b

  - versionName: '2.05'
    versionCode: 205
    commit: r2.05
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild:
      - sed -i -e 's/enable true/enable false/g' build.gradle
      - sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/production/assets/checkpoints
    scandelete:
      - app/src/btctestnet/assets/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r17b

  - versionName: '2.06'
    versionCode: 206
    commit: r2.06
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r17b

  - versionName: '2.07'
    versionCode: 207
    commit: r2.07
    subdir: app
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build: JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
    ndk: r17b

  - versionName: 3.0.7
    versionCode: 307
    commit: release_3.0.7
    subdir: app
    sudo: apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19b

  - versionName: 3.0.8
    versionCode: 308
    commit: release_3.0.8
    subdir: app
    sudo: apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19b

  - versionName: 3.1.0
    versionCode: 310
    commit: release_3.1.0
    subdir: app
    sudo: apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19b

  - versionName: 3.1.1
    versionCode: 311
    commit: release_3.1.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.2
    versionCode: 312
    commit: release_3.1.2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.3
    versionCode: 313
    commit: release_3.1.3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.8
    versionCode: 318
    commit: release_3.1.8
    timeout: 18000
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.1.9
    versionCode: 319
    commit: release_3.1.9
    timeout: 18000
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

  - versionName: 3.2.1
    versionCode: 321
    commit: release_3.2.1
    timeout: 25200
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y build-essential clang virtualenv
    gradle:
      - production
    forcevercode: true
    prebuild: sed -i -e 's/output.versionCodeOverride =/0 + /g' build.gradle
    scanignore:
      - bitcoinj/core/src/main/resources/org/bitcoinj/crypto/cacerts
      - bitcoinj/core/src/test
      - app/src/main/assets/production/checkpoints
    scandelete:
      - app/src/main/assets/btctestnet/checkpoints
    build:
      - JAVA_HOME=$(readlink -f /usr/bin/javac | sed "s:/bin/javac::") sh ./prepare_fdroid.sh
      - find src/main/jniLibs -type f -name "libgreenaddress.a" -exec rm -f {} \;
    ndk: r19c

MaintainerNotes: |-
    Watch prepare_fdroid.sh for changes on new builds.

    The two files app/src/main/assets/btctestnet/checkpoints and app/src/main/assets/production/checkpoints are hashes of the blocks of the respective chains (testnet3 and mainnet) and are re-generated ad-hoc occasionally by using the tool ./buildCheckpoints.sh inside the repo while having a bitcoin full node for each chain runnin on localhost. They are used to speed up SPV verification when possible and they can be verified independently by checking each hash against the blockchain.

AutoUpdateMode: Version release_%v
UpdateCheckMode: Tags
CurrentVersion: 3.2.1
CurrentVersionCode: 321
